#ifndef _DEFAULTS_H_
#define _DEFAULTS_H_

#ifndef WIFI_CLIENT
#define WIFI_AP
#endif

#if defined(WIFI_CLIENT) && defined(WIFI_AP)
#error "You can't define AP and CLIENT at the same Time!"
#endif

#ifndef WIFI_SSID
#define WIFI_SSID "3 Factions CTF Timer"
#endif

#ifndef WIFI_PASS
#define WIFI_PASS "CaptureTheFlag"
#endif

#ifndef OTA_PASS
#define OTA_PASS "UploadTheFlag"
#endif

#ifndef OTA_HOST
#define OTA_HOST "ESP_OTA"
#endif

#ifndef DEVICE_NAME
#define DEVICE_NAME WIFI_SSID
#endif

#ifndef BAT_LOW_PERCENT
#define BAT_LOW_PERCENT 10
#endif

#ifndef FACTION_1_NAME
#define FACTION_1_NAME "Team A" 
#endif

#ifndef FACTION_2_NAME
#define FACTION_2_NAME "Team B" 
#endif

#ifndef FACTION_3_NAME
#define FACTION_3_NAME "Team C" 
#endif

#endif